Extra unsicheres Linux - als Anschauungsmaterial

Damn Vulnerable Linux ist eine Live-Distribution, die absichtlich verschiedenste Sicherheitslücken aufweist. Natürlich sollte man diese Distro nicht für den Hochsicherheits-Server verwenden ;-) Sie dient als Anschauungsmaterial, wie Sicherheitslücken entstehen und wie diese ausgenutzt werden können. Entsprechende Tutorials sind auf der CD enthalten bzw. sind auf der Webseite angekündigt.
In vergangenen Vorlesungen hatten wir entsprechende Beispielprogramme selbst präpariert und zu Übungszwecken verwendet; mit einer präparierten Linux-Installation haben wir in diesem Rahmen auch einmal ein Linux Deathmatch veranstaltet. Das Vorbereiten kostet mehr Aufwand, als man zunächst annimmt - schön, daß es so etwas nun in konzentrierter Form (und - dank Live-CD - gut konserviert und wiederverwendbar) gibt.

comments powered by Disqus